#pragma once

#include <string>

class PacketIdentifier {
	public:
		static const std::string SERVER_GAME_IS_STARTING;
		static const std::string SERVER_UPDATE_PLAYER;
		static const std::string SERVER_UPDATE_CARD;
		static const std::string SERVER_ERROR_MESSAGE;
		static const std::string SERVER_WINNER_ID;
		static const std::string SERVER_KEEPALIVE;
		static const std::string SERVER_CLIENT_JOINED;
		static const std::string SERVER_TURN_START;
		static const std::string SERVER_TURN_END;
		static const std::string SERVER_CARD_DRAW;
		static const std::string SERVER_CARD_INFODUMP;
		static const std::string SERVER_PLAY_CARD;
		static const std::string SERVER_DISCARD_CARD;

		static const std::string CLIENT_PLAY_CARD;
		static const std::string CLIENT_TURN_END;
		static const std::string CLIENT_CONCEDE;
		static const std::string CLIENT_KEEPALIVE;
};
